class Project < ActiveRecord::Base

  hobo_model # Don't put anything above this

	Region = HoboFields::Types::EnumString.for(:ab, :bc, :mb, :nb, :nl, :ns, :nt, :nu, :on, :pe, :qc, :sk, :yt, :other)
	 
  Nature = HoboFields::Types::EnumString.for(
    :ApplicationBySurvivingJointTenant,
    :Caveat,
    :ChangeOfName
    )

  fields do      
    nature                        Project::Nature   
    region                        Project::Region
    timestamps
  end            
  
  belongs_to :owner, :class_name => "User", :creator => true
  



  # --- Permissions --- #

  def create_permitted?
    acting_user.administrator?
  end

  def update_permitted?
    acting_user.administrator?
  end

  def destroy_permitted?
    acting_user.administrator?
  end

  def view_permitted?(field)
    true
  end

end
